% basic LBP applied to one particular image:

I = uint8(readim('test-face.png'));
array = zeros(256,1);

for x=2:size(I,2)-1
    for y=2:size(I,1)-1        
        crop = I(y-1:y+1,x-1:x+1);
        if (max(crop(:)) ~= 0)
            center = crop(2,2);
            M = (crop >= center);
            digits = M(1,1)*127+ M(1,2)*64+ M(1,3)*32+M(2,3)*16+M(3,3)*8+M(3,2)*4+M(3,1)*2+M(2,1)*1;            
            array(digits+1) = array(digits+1)+1;
        end
    end
end

I_test_face = array'


        
